import Tool from "./tool";
import { graph, state } from "../editor";

export default class UndoTool extends Tool {
    constructor(key) {
        super("Undo", "undo", key);
    }

    onToolActivate() {
        graph.undo();
        state.setTool(state.previousTool);
    }
}
